Subject: Re: [PATCH v5 20/45] guix: node-build-system: Add implicit libuv input.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 18 Dec 2021 18:01:04 +0100

Hi,

Am Samstag, dem 18.12.2021 um 11:16 -0500 schrieb Philip McGrath:
> > 
> > Do this and #21 have to be separated so far from the rest?  If not,
> > I'd do build system first, then new packages.  Otherwise fair
> > enough.
> 
> I tried to follow Tim's suggestion in 
> <https://issues.guix.gnu.org/51838#59> to put the changes related to 
> #:absent-dependencies before the changes to support native addons, so
> that the earlier changes could potentially be applied even if there
> was more discussion needed for the later ones (if #:absent-
> dependencies were less controversial.
Fair enough, that does make sense.  However, I do think that "add
package X" is not too big of a review burden, so I personally think the
fact we're deleting 'configure everywhere is holding back the change to
support native addons rather than the other way around.

> But note that the patches before this one aren't adding new packages;
> they are changing existing packages to use #:absent-dependencies
> rather than deleting the configure phase. So the series is ordered
> overall as:
> 
>   1. Changes to the `node` package itself
>   2. Build system changes for #:absent-dependencies
>      (including the delete-lockfiles phase, because un-deleting the
>      configure phase exposes those problems)
>   3. Packages changes to use #:absent-dependencies
>   4. Build system changes to support native addons
>   5. New packages to exercise the support for native addons
There is an unspoken bit here in #5 in that those packages still need
to get rid of unwanted dependencies, which makes this set still
unsplittable in a sense.

If everyone else here agrees, I think we could at least upstream the
changes to node itself while we still discuss 2-5.  Timothy, Pierre,
Jelle, WDYT?